Name:           monkey-bubble
Version:        0.1.6
Release:        0.fdr.4.1
Epoch:          0
Summary:        Game in the spirit of Frozen Bubble.

Group:          Amusements/Games
License:        GPL
URL:            http://monkey-bubble.tuxfamily.org/
Source0:        http://monkey-bubble.tuxfamily.org/monkey-bubble-0.1.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel
BuildRequires:  librsvg2-devel
BuildRequires:  gstreamer-devel
BuildRequires:  libcroco-devel
BuildRequires:  pkgconfig
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires(post):  GConf2

%description
Monkey Bubble is a bust'a'move clone built using Gnometechnologies. It
currently supports 1 and 2 player games, is levelcompatible with frozen bubble,
and features svg vector graphics forresolution independent display.



%prep
%setup -q


%build
%configure --disable-schemas-install
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
install -p -D -m0644 ./pixmaps/monkey-bubble-icon.xpm ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/monkey-bubble-icon.xpm
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Game                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null



%postun
/sbin/ldconfig



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/schemas/*
%{_bindir}/monkey*
%{_libdir}/*.*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/*

%exclude %{_bindir}/gsttest
%exclude %{_libdir}/*so



%changelog
* Fri Nov 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.4
- Drop .so files (for real this time).

* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.3
- Drop .so files.

* Wed Nov 12 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.2
- BuildReqs desktop-file-utils, gettext, pkgconfig.
- BuildReq libcroco-devel.
- Removing .la files.
- No longer including empty NEWS file under docs.
- Excluding /usr/bin/gsttest.

* Mon Oct 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.1.6-0.fdr.1
- Initial RPM release.
